%define	fontdir		%{_datadir}/fonts/%{name}
%define	catalogue	%{_sysconfdir}/X11/fontpath.d

Name:		knm_new-fonts
Version:	1.1
Release:	3%{?dist}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	mkfontdir
## the following upstream URL is a dead link anymore.
#URL:		http://www.din.or.jp/~storm/fonts/
#Source0:	http://www.din.or.jp/~storm/fonts/knm_new.tar.gz
Source0:	knm_new.tar.gz


Summary:	12x12 JIS X 0208 Bitmap font
License:	GPL+
Group:		User Interface/X
Conflicts:	fonts-japanese <= 0.20061016-11.fc8
Provides:	knm_new = 1.1-16
Obsoletes:	knm_new <= 1.1-16

%description
This package provides 12x12 Japanese bitmap font for JIS X 0208.
JIS X 0208 is a character set that contains Kanji characters mostly
often used.


%prep
%setup -q -T -c -a 0

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{fontdir}
install -d $RPM_BUILD_ROOT%{catalogue}

install -m 0644 -p fonts/*.pcf.gz $RPM_BUILD_ROOT%{fontdir}/

%{_bindir}/mkfontdir $RPM_BUILD_ROOT%{fontdir}

# Install catalogue symlink
%{__ln_s} -f %{fontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%lang(ja) %doc fonts/readme fonts/changes
%doc fonts/gtkrc.sample
%dir %{fontdir}
%{fontdir}/*.pcf.gz
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%{catalogue}/*


%changelog
* Tue Oct 30 2007 Akira TAGOH <tagoh@redhat.com> - 1.1-3
- Remove the upstream's dead link from the spec file. (#353941)

* Fri Sep  7 2007 Akira TAGOH <tagoh@redhat.com> - 1.1-2
- clean up

* Thu Aug 30 2007 Akira TAGOH <tagoh@redhat.com> - 1.1-1
- Split up from fonts-japanese.

